package cn.pluss.platform.ryx.impl;

import cn.pluss.platform.channel.BaseMchChannelRateNewService;
import cn.pluss.platform.channel.BaseMchChannelRateService;
import cn.pluss.platform.entity.MerchantRate;
import cn.pluss.platform.entity.MerchantRateNew;
import org.springframework.stereotype.Service;

/**
 * @author DJH
 * 瑞银信修改费率接口
 */
@Service("ryxChangeRateNewService")
public class RyxChangeRateNewServiceImpl extends BaseMchChannelRateNewService {

    @Override
    public void process(String userId, MerchantRateNew merchantRate) {
        // 此处不做任何变更，费率变更请求在凌晨两点的定时任务中发出
    }

    @Override
    public String getChannelId() {
        return "3";
    }

    @Override
    public MerchantRateNew getDefaultRate() {
        MerchantRateNew rateNew = new MerchantRateNew();
        rateNew.setChannel(3);
        rateNew.setWxRate(38);
        rateNew.setAliRate(38);
        rateNew.setBankRate(38);
        rateNew.setBankRateLarge(38);
        return rateNew;
    }
}
